View Issue Details

IDProjectCategoryView StatusLast Update
0002284Far ManagerSort Orderpublic2013-02-13 21:52
ReporterKaaloksAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002284: Сортировка файлов вызывает сортировку имен каталогов
DescriptionКаждое изменение сортировки файлов (по размеру/расширению/дате доступа и т.д.) вызывает изменение сортировки списка папок на обратное.
В аттаче - два скриншота в архиве. Файл 1 - сортировка по размеру от меньшего к большему. файл 2 - сортировка файлов изменена на сортировку по размеру от большего к меньшему. Как видно - сортировка каталогов по имени изменилась!
TagsNo tags attached.
Build3145

Activities

Kaaloks

2013-02-01 15:26

reporter  

Sorting.zip (543,101 bytes)

JohnDoe

2013-02-01 15:42

updater   bugnote:0010172

Last edited: 2013-02-01 15:44

View 3 revisions

Действительно.
Имеем 2 папки "hrc" и "hrd".
Их порядок почему-то зависит от режима сортировки "По расширению" (и прочих)
Можно увидеть переключая порядок сортировки (Ctrl-F4).

DrKnS

2013-02-01 19:04

administrator   bugnote:0010175

> Файл 1 - сортировка по размеру от меньшего к большему. файл 2 - сортировка файлов изменена на сортировку по размеру от большего к меньшему. Как видно - сортировка каталогов по имени изменилась!

А где баг? Папки сортируются по тому же критерию, что и файлы.

Kaaloks

2013-02-01 19:14

reporter   bugnote:0010176

Возможно и не баг. Не так часто приходится менять устоявшийся режим сортировки, чтобы в памяти отложилось факт - меняется-ли сортировка каталогов одновременно с сортировкой файлов. Но в глаза бросился факт: раньше при сортировке по размеру, когда наверху большие файлы, каталоги были отсортированы по алфавиту от A до Z, а теперь - ровно наоборот! Это очень сильно бросается в глаза и раздражает. Причем произошло это не так давно - в пределах буквально недели где-то...

1. Можно вернуть старый способ сортировки большие файлы наверху + каталоги от A до Z.
2. Можно добавить возможность не сортировать список каталогов при изменении сортировки файлов
3. Можно добавить возможность _раздельной_ сортировки файлов и имен каталогов

JohnDoe

2013-02-01 19:19

updater   bugnote:0010177

В Far 2 всё то же самое.
Но правда не совсем логично

2useven10

2013-02-01 19:20

developer   bugnote:0010178

А почему в 1.75 не бросается ?
Там всё точно также.

Kaaloks

2013-02-01 19:24

reporter   bugnote:0010179

Господа, я реально чуствую себя идиотом, если и в 1.75 папки сортируются вместе с файлами...

Тогда вопрос: почему изменился порядок сортировки папок? Ведь реально, щас дома проверил на Фар2: если большие файлы в верху списка, то каталоги отсортированы просто по алфавиту. И в Фар3 так-же было. До недавнего времени. И вдруг порядок поменялся. Может где-то +1 на -1 поменяли? :)

DrKnS

2013-02-01 19:24

administrator   bugnote:0010180

Каталоги всегда тоже сортировались по размеру. Но т.к. по умолчанию размер не заполнен (пока не нажать F3), брался базовый критерий - имя.

Насколько я понимаю, Kaaloks имеет в виду изменения из 3117.
Теперь режим "сначала большие файлы" считается обратной сортировкой, а значит, папки с назаполненным размером сортируются тоже в обратной последовательности

Kaaloks

2013-02-01 19:27

reporter   bugnote:0010181

Да, похоже на 3117!
Можно это как-то на уровне настроек для себя поменять? Жесткий когнитивный диссонанс и невозможность разобраться в собственных файлах, т.к. за много-много лет использования NC, а потом Фара уже возникла привычка КАК именно должны быть отсортированы файлы/папки.

JohnDoe

2013-02-01 19:27

updater   bugnote:0010182

>Но т.к. по умолчанию размер не заполнен (пока не нажать F3), брался базовый критерий - имя.

А не вредно ли это?
Точнее брать базовый это правильно, но менять его направление - нет.
Меня всегда смущало.

DrKnS

2013-02-01 19:39

administrator   bugnote:0010183

> А не вредно ли это?
> Точнее брать базовый это правильно, но менять его направление - нет.

А вот это правильный вопрос.
3141.

2useven10

2013-02-02 00:42

developer   bugnote:0010188

Last edited: 2013-02-02 00:42

View 2 revisions

Imho получилось коряво.
1) Ctrl-F4 'не затрагивает' каталоги - это очень спорно.
2) По Ctrl-F6 (и другим, если есть) надо оставлять сортировку каталогов как есть, а не тупо выставлять один режим.

2useven10

2013-02-02 00:46

developer   bugnote:0010189

если отключить режим Show Directories First, получается что-то трудноописуемое простыми словами.

JohnDoe

2013-02-02 00:51

updater   bugnote:0010190

>1) Ctrl-F4 'не затрагивает' каталоги - это очень спорно.
Что именно спорно?

Новую версию ещё не пробовал, а в старых Ctrl-F4 тоже спорно работает: применяет обратный порядок не только к расширениям, но и к именам.

2useven10

2013-02-02 00:55

developer   bugnote:0010191

Ctrl-F4 это - сначала по расширению потом по имени.
Это должно применяться и к файлам и к каталогам.

JohnDoe

2013-02-02 00:58

updater   bugnote:0010192

Last edited: 2013-02-02 00:59

View 2 revisions

>Ctrl-F4 это - сначала по расширению потом по имени.
Именно так, и в удобстве этого я и усомнился (надо думать)

>Это должно применяться и к файлам и к каталогам.
[ ] Sort folder names by extension

2useven10

2013-02-02 01:05

developer   bugnote:0010193

Вообще начиная с 3117 - сомнительная инициатива.
По крайней мере надо дать возможность сохранить старое
привычное (пусть не идеальное) поведение.
А не навязывать безальтернативно своё видение всем.

alexy

2013-02-02 01:11

administrator   bugnote:0010194

Что я не заметил никакого различия после 3117, как его увидеть?

2useven10

2013-02-02 01:14

developer   bugnote:0010195

http://forum.farmanager.com/viewtopic.php?f=9&t=5773&start=1395#p102819

alexy

2013-02-02 01:22

administrator   bugnote:0010196

Не совсем понял

DrKnS

2013-02-02 01:46

administrator   bugnote:0010197

> 1) Ctrl-F4 'не затрагивает' каталоги - это очень спорно.
> 2) По Ctrl-F6 (и другим, если есть) надо оставлять сортировку каталогов как есть, а не тупо выставлять один режим.

По-русски напиши, пожалуйста. Я процитированного не понимаю.

2useven10

2013-02-02 08:14

developer   bugnote:0010198

Last edited: 2013-02-02 08:21

View 2 revisions

1) Ctrl-F4 должен менять сортировку каталогов
2) Если всё-таки делать режимы не затрагивающие каталоги то
в этом случае не надо менять сортировку каталогов вообще. Сейчас получается так:
сделал сортировку каталогов и файлов по убыванию, нажал Ctrl-F6 получил каталоги по возрастанию.

Но если делать костыли, либой вариант будет кривым, потому что нет режимов сортировки не затрагивающих каталоги, все режимы сортируют сначала по выбранному критерию, потом по имени.

Единственный нормальный вариант - делать раздельные режимы сортировки для файлов и каталогов (где-то на мантисе есть виш). И применять разные режимы надо только, если задано 'Show Directories First'.

DrKnS

2013-02-02 12:53

administrator   bugnote:0010200

> 1) Ctrl-F4 должен менять сортировку каталогов

А он и меняет. Поставь [x] Sort folder names by extension

> 2) Если всё-таки делать режимы не затрагивающие каталоги то

У нас нет "режимов, не затрагивающих каталоги". У нас есть режимы, в которых каталоги могут считаться одинаковыми. Если они считаются одинаковыми, они сортируются по имени.

Если я захочу сортировку по размеру от большего к меньшему, каталоги расположатся
от A к Z. Но если я захочу сортировку по размеру от меньшего к большему, зачем сортировать каталоги от Z к A?

JohnDoe

2013-02-02 13:57

updater   bugnote:0010201

Last edited: 2013-02-02 14:09

View 3 revisions

>У нас есть режимы, в которых каталоги могут считаться одинаковыми.
Изменение 3141 затронуло не только каталоги. Обратите внимание на сортировку файлов с одинаковым расширением в режиме Ctrl-F4.

JohnDoe

2013-02-02 14:09

updater   bugnote:0010202

>Поставь [x] Sort folder names by extension
А почему эта опция не в режимах сортировки?

2useven10

2013-02-02 16:18

developer   bugnote:0010204

Last edited: 2013-02-02 16:19

View 2 revisions

>Поставь [x] Sort folder names by extension
мне не нужно, чтобы каталоги сортировались по расширениям,
мне нужно, чтобы по Ctrl-F4 у них менялось направление сортировки (как раньше)

в итоге заменён один костыль (привычный) на другой (самонаводящийся).

[ ] Show folder first - не описывается простыми словами - имеется ввиду без мата.
посмотри на результат в аттаче.

2useven10

2013-02-02 16:18

developer  

DrKnSort.png (4,221 bytes)
DrKnSort.png (4,221 bytes)

JohnDoe

2013-02-02 16:26

updater   bugnote:0010205

>мне нужно, чтобы по Ctrl-F4 у них менялось направление сортировки (как раньше)
Ctrl-F3?

Denis

2013-02-02 17:04

reporter   bugnote:0010207

У меня по Ctrl-F3 вообще ничего не меняется
3143

JohnDoe

2013-02-02 17:34

updater   bugnote:0010208

Ага, не включается обратная по имени. Баг.

Kaaloks

2013-02-04 09:48

reporter   bugnote:0010211

Всем спасибо!
Сортировка "по размеру" не сбивает сортировку каталогов "по имени".

Issue History

Date Modified Username Field Change
2013-02-01 15:26 Kaaloks New Issue
2013-02-01 15:26 Kaaloks File Added: Sorting.zip
2013-02-01 15:42 JohnDoe Note Added: 0010172
2013-02-01 15:42 JohnDoe Note Edited: 0010172 View Revisions
2013-02-01 15:44 JohnDoe Note Edited: 0010172 View Revisions
2013-02-01 19:04 DrKnS Note Added: 0010175
2013-02-01 19:14 Kaaloks Note Added: 0010176
2013-02-01 19:19 JohnDoe Note Added: 0010177
2013-02-01 19:20 2useven10 Note Added: 0010178
2013-02-01 19:24 Kaaloks Note Added: 0010179
2013-02-01 19:24 DrKnS Note Added: 0010180
2013-02-01 19:27 Kaaloks Note Added: 0010181
2013-02-01 19:27 JohnDoe Note Added: 0010182
2013-02-01 19:37 DrKnS Assigned To => DrKnS
2013-02-01 19:37 DrKnS Status new => assigned
2013-02-01 19:39 DrKnS Note Added: 0010183
2013-02-01 19:39 DrKnS Status assigned => feedback
2013-02-02 00:42 2useven10 Note Added: 0010188
2013-02-02 00:42 2useven10 Note Edited: 0010188 View Revisions
2013-02-02 00:46 2useven10 Note Added: 0010189
2013-02-02 00:51 JohnDoe Note Added: 0010190
2013-02-02 00:55 2useven10 Note Added: 0010191
2013-02-02 00:58 JohnDoe Note Added: 0010192
2013-02-02 00:59 JohnDoe Note Edited: 0010192 View Revisions
2013-02-02 01:05 2useven10 Note Added: 0010193
2013-02-02 01:11 alexy Note Added: 0010194
2013-02-02 01:14 2useven10 Note Added: 0010195
2013-02-02 01:22 alexy Note Added: 0010196
2013-02-02 01:46 DrKnS Note Added: 0010197
2013-02-02 08:14 2useven10 Note Added: 0010198
2013-02-02 08:21 2useven10 Note Edited: 0010198 View Revisions
2013-02-02 12:53 DrKnS Note Added: 0010200
2013-02-02 13:57 JohnDoe Note Added: 0010201
2013-02-02 14:09 JohnDoe Note Edited: 0010201 View Revisions
2013-02-02 14:09 JohnDoe Note Edited: 0010201 View Revisions
2013-02-02 14:09 JohnDoe Note Added: 0010202
2013-02-02 16:18 2useven10 Note Added: 0010204
2013-02-02 16:18 2useven10 File Added: DrKnSort.png
2013-02-02 16:19 2useven10 Note Edited: 0010204 View Revisions
2013-02-02 16:26 JohnDoe Note Added: 0010205
2013-02-02 17:04 Denis Note Added: 0010207
2013-02-02 17:34 JohnDoe Note Added: 0010208
2013-02-04 09:48 Kaaloks Note Added: 0010211
2013-02-04 09:48 Kaaloks Status feedback => assigned
2013-02-04 09:48 Kaaloks Status assigned => resolved
2013-02-13 21:52 DrKnS Build => 3145
2013-02-13 21:52 DrKnS Status resolved => closed
2013-02-13 21:52 DrKnS Resolution open => fixed
2013-02-13 21:52 DrKnS Fixed in Version => 3.0